Bug 196979 - Define media buffering policy
Summary: Define media buffering policy
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Eric Carlson
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-04-16 13:08 PDT by Eric Carlson
Modified: 2019-05-07 15:00 PDT (History)
5 users (show)

See Also:


Attachments
Patch (37.36 KB, patch)
2019-04-17 14:06 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Patch for landing (37.33 KB, patch)
2019-04-17 15:03 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-highsierra (3.09 MB, application/zip)
2019-04-17 16:28 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-highsierra (3.28 MB, application/zip)
2019-04-17 17:18 PDT, Build Bot
no flags Details
Patch for landing (37.38 KB, patch)
2019-04-18 06:03 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews102 for mac-highsierra (3.10 MB, application/zip)
2019-04-18 07:28 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews126 for ios-simulator-wk2 (25.79 MB, application/zip)
2019-04-18 08:22 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-highsierra (3.03 MB, application/zip)
2019-04-18 13:54 PDT, Build Bot
no flags Details
Patch for landing (37.13 KB, patch)
2019-05-01 11:43 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-highsierra (3.41 MB, application/zip)
2019-05-01 13:09 PDT, Build Bot
no flags Details
Patch (40.13 KB, patch)
2019-05-03 14:42 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews213 for win-future (13.78 MB, application/zip)
2019-05-03 21:37 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Carlson 2019-04-16 13:08:55 PDT
Define media buffering policy to allow more fine grained control over what media data is buffered.
Comment 1 Eric Carlson 2019-04-16 13:09:14 PDT
<rdar://problem/28383861>
Comment 2 Eric Carlson 2019-04-17 14:06:37 PDT
Created attachment 367676 [details]
Patch
Comment 3 Eric Carlson 2019-04-17 15:03:31 PDT
Created attachment 367683 [details]
Patch for landing
Comment 4 Build Bot 2019-04-17 16:28:40 PDT Comment hidden (obsolete)
Comment 5 Build Bot 2019-04-17 16:28:42 PDT Comment hidden (obsolete)
Comment 6 Build Bot 2019-04-17 17:18:51 PDT Comment hidden (obsolete)
Comment 7 Build Bot 2019-04-17 17:18:54 PDT Comment hidden (obsolete)
Comment 8 Eric Carlson 2019-04-18 06:03:58 PDT
Created attachment 367726 [details]
Patch for landing
Comment 9 Build Bot 2019-04-18 07:28:16 PDT Comment hidden (obsolete)
Comment 10 Build Bot 2019-04-18 07:28:23 PDT Comment hidden (obsolete)
Comment 11 Build Bot 2019-04-18 08:22:47 PDT Comment hidden (obsolete)
Comment 12 Build Bot 2019-04-18 08:22:50 PDT Comment hidden (obsolete)
Comment 13 Build Bot 2019-04-18 13:54:25 PDT Comment hidden (obsolete)
Comment 14 Build Bot 2019-04-18 13:54:27 PDT Comment hidden (obsolete)
Comment 15 Eric Carlson 2019-05-01 11:43:16 PDT
Created attachment 368688 [details]
Patch for landing
Comment 16 Build Bot 2019-05-01 13:09:23 PDT
Comment on attachment 368688 [details]
Patch for landing

Attachment 368688 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/12053015

New failing tests:
imported/w3c/web-platform-tests/fetch/range/general.window.html
Comment 17 Build Bot 2019-05-01 13:09:25 PDT
Created attachment 368694 [details]
Archive of layout-test-results from ews103 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 18 Eric Carlson 2019-05-03 14:42:39 PDT
Created attachment 368995 [details]
Patch
Comment 19 Build Bot 2019-05-03 21:37:49 PDT
Comment on attachment 368995 [details]
Patch

Attachment 368995 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12095530

New failing tests:
svg/dynamic-updates/SVGLinearGradientElement-svgdom-href-prop.html
http/tests/misc/repeat-open-cancel.html
Comment 20 Build Bot 2019-05-03 21:37:51 PDT
Created attachment 369045 [details]
Archive of layout-test-results from ews213 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews213  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 21 WebKit Commit Bot 2019-05-07 15:00:39 PDT
Comment on attachment 368995 [details]
Patch

Clearing flags on attachment: 368995

Committed r245039: <https://trac.webkit.org/changeset/245039>
Comment 22 WebKit Commit Bot 2019-05-07 15:00:41 PDT
All reviewed patches have been landed.  Closing bug.